﻿using System;
using System.IO;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace cegesauto
{
    class cegesauto
    {
        static void Main(string[] args)
        {
            List<esemeny> Esemenyek = new List<esemeny>();

            /////1.feladat/////
            Console.WriteLine("1. feladat");
            try
            {
                using (StreamReader sr = new StreamReader("autok.txt"))
                {
                    while (!sr.EndOfStream)
                    {
                        string sor = sr.ReadLine();
                        Esemenyek.Add(new esemeny(sor));
                    }
                }
            }
            catch(Exception e)
            {
                Console.WriteLine(e.Message);
            }
            Console.WriteLine("Fájl beolvasva!\n");

            /////2.feladat/////
            Console.WriteLine("2. feladat");
            string utolsoElvittAutoID = "";
            foreach (esemeny e in Esemenyek)
            {
                if (e.beMegy == false)
                {
                    utolsoElvittAutoID = e.autoID;
                }
            }
            Console.WriteLine("30. nap rendszám: " + utolsoElvittAutoID + "\n");

            /////3.feladat/////
            Console.WriteLine("3. feladat");
            Console.Write("Nap: ");
            int userInput = (int.Parse(Console.ReadLine()));

            Console.WriteLine("Forgalom a(z) " + userInput + ". napon:");

            foreach (esemeny e in Esemenyek)
            {
                if (e.nap == userInput)
                {
                    string kibe = "";
                    if (e.beMegy == false)
                    {
                        kibe = "ki";
                    } else if (e.beMegy == true)
                    {
                        kibe = "be";
                    }

                    Console.WriteLine(e.ido + " " + e.autoID + " " + e.dolgozoID + " " + kibe);
                }
            }
            Console.WriteLine("");

            /////4.feladat/////
            Console.WriteLine("4. feladat");
            int kintLevoAutok = 0;
            foreach (esemeny e in Esemenyek)
            {
                if (e.beMegy == false) //kimegy
                {
                    kintLevoAutok++;
                } else if (e.beMegy == true) //bemegy
                {
                    kintLevoAutok--;
                }
            }
            Console.WriteLine("A hónap végén " + kintLevoAutok + " autót nem hoztak vissza.\n");

            /////5.feladat/////
            Console.WriteLine("5. feladat");
            List<string> cegautoi = new List<string>();
            foreach (esemeny e in Esemenyek)
            {
                foreach (string s in cegautoi)
                {
                    if (s == e.autoID)
                    {

                    } else
                    {
                        cegautoi.Add(e.autoID);
                    }
                }
            }

            int[] kilometeroraKezdeti = new int[10]; //kilometerora honap elejen
            int[] kilometeroraVege = new int[10]; //kilometerora honap vegen

            foreach (esemeny e in Esemenyek)
            {
                int i = e.autoIDnumber - 300;
                if (kilometeroraKezdeti[i] == 0)
                {
                    kilometeroraKezdeti[i] = e.kilometerAllas;
                    kilometeroraVege[i] = kilometeroraKezdeti[i];
                } else
                {
                    kilometeroraVege[i] = e.kilometerAllas;
                }
            }
            for (int i = 0; i < 10; i++)
            {
                Console.WriteLine("CEG30"+ i + " " + (kilometeroraVege[i] - kilometeroraKezdeti[i]) + " km");
            }
            Console.WriteLine("");
            /////6.feladat/////
            Console.WriteLine("6. feladat");

            int[] dolgozoKm = new int[100];

            for (int i = 0; i < 100; i++)
            {
                foreach (esemeny e in Esemenyek)
                {
                    dolgozoKm[e.dolgozoID - 500]++;
                }
            }

            /////7.feladat/////
            Console.WriteLine("7. feladat");
            Console.Write("Rendszám: ");
            string userInputText = Console.ReadLine();


            /////////////////
            Console.ReadLine();
        }
    }
    class esemeny
    {
        public int nap;
        public string ido;
        public string autoID;
        public int dolgozoID;
        public int kilometerAllas;
        public bool beMegy;

        public int autoIDnumber;

        public esemeny(string sor)
        {
            string[] strippedSor = sor.Split(' ');

            nap = int.Parse(strippedSor[0]);
            ido = strippedSor[1];
            autoID = strippedSor[2];
            dolgozoID = int.Parse(strippedSor[3]);
            kilometerAllas = int.Parse(strippedSor[4]);
            
            if (strippedSor[5] == "0")
            {
                beMegy = false;
            } else if (strippedSor[5] == "1")
            {
                beMegy = true;
            }

            char[] auto = { autoID[3], autoID[4], autoID[5] };
            string autoNumbers = new string(auto);
            autoIDnumber = int.Parse(autoNumbers);
        }
    }
}
